net.minecraft.network.packet

## Class Packet202PlayerAbilities

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet202PlayerAbilities

-     public class Packet202PlayerAbilities
      extends Packet

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet202PlayerAbilities()`
    `Packet202PlayerAbilities(PlayerCapabilities par1PlayerCapabilities)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsSameEntityIDAs(Packet par1Packet)` eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
    `float` | `func_82558_j()`
    `boolean` | `getAllowFlying()`
    `boolean` | `getDisableDamage()`
    `boolean` | `getFlying()`
    `float` | `getFlySpeed()`
    `int` | `getPacketSize()` Abstract.
    `boolean` | `isCreativeMode()`
    `boolean` | `isRealPacket()` only false for the abstract Packet class, all real packets return true
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
    `void` | `setAllowFlying(boolean par1)`
    `void` | `setCreativeMode(boolean par1)`
    `void` | `setDisableDamage(boolean par1)` Sets whether damage is disabled or not.
    `void` | `setFlying(boolean par1)` Sets whether we're currently flying or not.
    `void` | `setFlySpeed(float par1)` Sets the flying speed.
    `void` | `setWalkSpeed(float par1)` Sets the walking speed.
    `void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, getNewPacket, getPacketId, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Packet202PlayerAbilities

          public Packet202PlayerAbilities()

    - #### Packet202PlayerAbilities

          public Packet202PlayerAbilities(PlayerCapabilities par1PlayerCapabilities)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInputStream par1DataInputStream)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutputStream par1DataOutputStream)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### getDisableDamage

          public boolean getDisableDamage()

    - #### setDisableDamage

          public void setDisableDamage(boolean par1)

      Sets whether damage is disabled or not.

    - #### getFlying

          public boolean getFlying()

    - #### setFlying

          public void setFlying(boolean par1)

      Sets whether we're currently flying or not.

    - #### getAllowFlying

          public boolean getAllowFlying()

    - #### setAllowFlying

          public void setAllowFlying(boolean par1)

    - #### isCreativeMode

          public boolean isCreativeMode()

    - #### setCreativeMode

          public void setCreativeMode(boolean par1)

    - #### getFlySpeed

          public float getFlySpeed()

    - #### setFlySpeed

          public void setFlySpeed(float par1)

      Sets the flying speed.

    - #### func_82558_j

          public float func_82558_j()

    - #### setWalkSpeed

          public void setWalkSpeed(float par1)

      Sets the walking speed.

    - #### isRealPacket

          public boolean isRealPacket()

      only false for the abstract Packet class, all real packets return true
      Overrides:
        `isRealPacket` in class `Packet`

    - #### containsSameEntityIDAs

          public boolean containsSameEntityIDAs(Packet par1Packet)

      eg return packet30entity.entityId == entityId; WARNING : will throw if you compare a packet to a different packet class
      Overrides:
        `containsSameEntityIDAs` in class `Packet`